Index: CMake/options.cmake
===================================================================
--- CMake/options.cmake	(revision 10115)
+++ CMake/options.cmake	(working copy)
@@ -96,7 +96,7 @@
 #######################################################################
 if(WIN32)
    set(DEFAULT_CONFIG "${CMAKE_INSTALL_PREFIX}/CMake")
-elseif(APPLE)
+elseif(__APPLE__)
    set(DEFAULT_CONFIG "${CMAKE_INSTALL_PREFIX}/FLTK/.framework/Resources/CMake")
 else()
    set(DEFAULT_CONFIG "${CMAKE_INSTALL_PREFIX}/lib/FLTK-${FLTK_VERSION}")
@@ -130,11 +130,11 @@
 endif(CMAKE_HOST_UNIX)
 
 #######################################################################
-if(APPLE)
+if(__APPLE__)
    option(OPTION_APPLE_X11 "use X11" OFF)
-endif(APPLE)
+endif(__APPLE__)
 
-if(NOT APPLE OR OPTION_APPLE_X11)
+if(NOT __APPLE__ OR OPTION_APPLE_X11)
    include(FindX11)
    if(X11_FOUND)
       set(USE_X11 1)
@@ -141,7 +141,7 @@
       list(APPEND FLTK_CFLAGS -DUSE_X11)
       list(APPEND FLTK_LDLIBS -lX11)
    endif(X11_FOUND)
-endif(NOT APPLE OR OPTION_APPLE_X11)
+endif(NOT __APPLE__ OR OPTION_APPLE_X11)
 
 #######################################################################
 option(OPTION_USE_POLL "use poll if available" OFF)
Index: CMake/setup.cmake
===================================================================
--- CMake/setup.cmake	(revision 10115)
+++ CMake/setup.cmake	(working copy)
@@ -43,7 +43,7 @@
 include(TestBigEndian)
 TEST_BIG_ENDIAN(WORDS_BIGENDIAN)
 
-if(APPLE)
+if(__APPLE__)
    set(__APPLE_QUARTZ__ 1)
    set(HAVE_STRTOLL 1)
    set(HAVE_STRCASECMP 1)
@@ -54,7 +54,7 @@
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -framework Cocoa")
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -framework Cocoa")
-endif(APPLE)
+endif(__APPLE__)
 
 if(WIN32)
    if(MSVC)
